grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.26-37-g03b491d


From: Paul Eggert
Subject: grep branch, master, updated. v2.26-37-g03b491d
Date: Mon, 28 Nov 2016 17:11:44 +0000 (UTC)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  03b491dd84986bf52df10d6dd0395240f1f18ed4 (commit)
      from  672b801b44d66c563d725e1e0787aecfabe429fd (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=03b491dd84986bf52df10d6dd0395240f1f18ed4


commit 03b491dd84986bf52df10d6dd0395240f1f18ed4
Author: Paul Eggert <address@hidden>
Date:   Mon Nov 28 09:11:17 2016 -0800

    tests: revert check for unibyte French range bug
    
    The test wasn't portable, as it assumed that rational ranges
    were not in effect.  Problem reported by Eric Blake (Bug#25048#8).
    There doesn't seem to be a portable way to do the test, so omit it.
    * tests/init.cfg, tests/unibyte-bracket-expr:
    Revert previous change.

diff --git a/tests/init.cfg b/tests/init.cfg
index 6c7abd2..1677ec5 100644
--- a/tests/init.cfg
+++ b/tests/init.cfg
@@ -74,6 +74,15 @@ require_tr_utf8_locale_()
   esac
 }
 
+require_ru_RU_koi8_r()
+{
+  path_prepend_ .
+  case $(get-mb-cur-max ru_RU.KOI8-R) in
+    1) ;;
+    *) skip_ 'ru_RU.KOI8-R locale not found' ;;
+  esac
+}
+
 require_compiled_in_MB_support()
 {
   require_en_utf8_locale_
diff --git a/tests/unibyte-bracket-expr b/tests/unibyte-bracket-expr
index 85aff1c..68c475c 100755
--- a/tests/unibyte-bracket-expr
+++ b/tests/unibyte-bracket-expr
@@ -1,4 +1,9 @@
 #!/bin/sh
+# Exercise a DFA range bug that arises only with a unibyte encoding
+# for which the wide-char-to-single-byte mapping is nontrivial.
+# E.g., the regexp, [C] would fail to match C in a unibyte locale like
+# ru_RU.KOI8-R for any C whose wide-char representation differed from
+# its single-byte equivalent.
 
 # Copyright (C) 2011-2016 Free Software Foundation, Inc.
 
@@ -16,42 +21,23 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 . "${srcdir=.}/init.sh"; path_prepend_ ../src
-
-# Add "." to PATH for the use of get-mb-cur-max.
-path_prepend_ .
-
-# Exercise a DFA range bug that arises only with a unibyte encoding
-# for which the wide-char-to-single-byte mapping is nontrivial.
-# E.g., the regexp, [C] would fail to match C in a unibyte locale like
-# ru_RU.KOI8-R for any C whose wide-char representation differed from
-# its single-byte equivalent.
-
-case $(get-mb-cur-max ru_RU.KOI8-R) in
-  1)
-    fail=0
-
-    i=128
-    while :; do
-      in=in-$i
-      octal=$(printf '%03o' $i)
-      b=$(printf "\\$octal")
-      echo "$b" > $in || framework_failure_
-      LC_ALL=ru_RU.KOI8-R grep "[$b]" $in > out || fail=1
-      compare out $in || fail=1
-
-      test $i = 255 && break
-      i=$(expr $i + 1)
-    done;;
-esac
-
-# Exercise a DFA range bug where '[d-f]' did not match accented 'e' in a
-# unibyte French locale.
-
-for locale in fr_FR.iso88591 address@hidden fr_FR.ISO8859-1; do
-  case $(get-mb-cur-max $locale) in
-    1)
-       printf '\351\n' | LC_ALL=$locale grep '[d-f]' || fail=1;;
-  esac
+require_ru_RU_koi8_r
+LC_ALL=ru_RU.KOI8-R
+export LC_ALL
+
+fail=0
+
+i=128
+while :; do
+  in=in-$i
+  octal=$(printf '%03o' $i)
+  b=$(printf "\\$octal")
+  echo "$b" > $in || framework_failure_
+  grep "[$b]" $in > out || fail=1
+  compare out $in || fail=1
+
+  test $i = 255 && break
+  i=$(expr $i + 1)
 done
 
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/init.cfg             |    9 +++++++
 tests/unibyte-bracket-expr |   58 +++++++++++++++++---------------------------
 2 files changed, 31 insertions(+), 36 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]